document.addEventListener('DOMContentLoaded', function() {
  const cards = document.querySelectorAll('.card');
  const protestInfo = document.getElementById('protest-info');

  const protestDetails = {
    silent: {
      title: 'Silent Vigil',
      description: 'A peaceful gathering where participants stand in silence to express their dissent. This form of protest is powerful in its simplicity and respectfulness.',
      tips: [
        'Choose a meaningful location',
        'Wear symbolic clothing or colors',
        'Maintain complete silence throughout'
      ]
    },
    art: {
      title: 'Artistic Expression',
      description: 'Use creative means like painting, music, or performance art to convey your message. This approach can be particularly effective in reaching diverse audiences.',
      tips: [
        'Choose a medium that resonates with you',
        'Focus on positive messaging',
        'Consider public spaces for display'
      ]
    },
    tiananmen: {
      title: 'Tiananmen Memorial',
      description: 'Honor the memory of those who stood for freedom while advocating for change. This form of protest carries deep historical significance.',
      tips: [
        'Educate yourself about the history',
        'Be mindful of local laws and regulations',
        'Consider virtual participation for safety'
      ]
    }
  };

  cards.forEach(card => {
    card.addEventListener('click', function() {
      const type = this.dataset.type;
      const details = protestDetails[type];

      let tipsHTML = details.tips.map(tip => `<li>${tip}</li>`).join('');
      
      protestInfo.innerHTML = `
        <h3>${details.title}</h3>
        <p>${details.description}</p>
        <h4>Tips:</h4>
        <ul>${tipsHTML}</ul>
      `;
    });
  });
});